/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;

import java.awt.BorderLayout;
import java.awt.Color;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.eof.EOLolfNomenclatureDepense;
import org.cocktail.application.client.eof.EOOrgan;
import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kaki.client.metier.EOCodeAnalytique;
import org.cocktail.kaki.client.metier.EOKx10Element;
import org.cocktail.kaki.client.metier.EOKxElement;
import org.cocktail.kaki.client.metier.EOPafAgent;
import org.cocktail.kaki.client.metier.EOPafReimputLbud;
import org.cocktail.kaki.client.metier.EOPafReimputation;
import org.cocktail.kaki.common.KakiConstantes;
import org.cocktail.kaki.common.KakiIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class ReimputationElementView extends javax.swing.JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1352003473297966203L;
	protected EODisplayGroup eodReimputation, eodBudget, eodReimputLbud, eodEngage, eodMandat;
	protected ZEOTable myEOTableReimputation, myEOTableBudget, myEOTableReimputLbud, myEOTableEngage, myEOTableMandat;
	protected ZEOTableModel myTableModelReimputation, myTableModelReimputLbud, myTableModelBudget, myTableModelEngage, myTableModelMandat;
	protected TableSorter myTableSorterReimputation,myTableSorterReimputLbud, myTableSorterBudget, myTableSorterEngage, myTableSorterMandat;


    /** Creates new form TemplateJPanel */
    public ReimputationElementView(EODisplayGroup dgReimputation, EODisplayGroup dgBudget, EODisplayGroup dgReimputLbud) {

    	eodReimputation = dgReimputation;
    	eodBudget = dgBudget;
    	eodReimputLbud = dgReimputLbud;
    	
        initComponents();

        initGui();
        
    }


	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        btnModifierReimput = new javax.swing.JButton();
        jTextField2 = new javax.swing.JTextField();
        viewTableBudget = new javax.swing.JPanel();
        btnAddLbud = new javax.swing.JButton();
        btnUpdateLbud = new javax.swing.JButton();
        viewTableReimputLbud = new javax.swing.JPanel();
        jTextField1 = new javax.swing.JTextField();
        btnDelLbud = new javax.swing.JButton();
        btnReimputer = new javax.swing.JButton();
        btnAjouterReimput = new javax.swing.JButton();
        btnPrint = new javax.swing.JButton();
        viewTableReimputations = new javax.swing.JPanel();
        btnSupprimerReimput = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        tfFiltreMois = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        tfFiltreNom = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        tfFiltreEtat = new javax.swing.JTextField();

        setPreferredSize(new java.awt.Dimension(850, 429));

        btnModifierReimput.setToolTipText("Supprimer la réimputation sélectionnée");

        jTextField2.setBackground(new java.awt.Color(153, 255, 153));
        jTextField2.setEditable(false);
        jTextField2.setText(" NOUVELLE Ligne Budgétaire");
        jTextField2.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        jTextField2.setFocusable(false);

        viewTableBudget.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableBudget.setLayout(new java.awt.BorderLayout());

        btnAddLbud.setToolTipText("Ajouter une ligne budgétaire");

        btnUpdateLbud.setToolTipText("Modifier la ligne budgétaire");

        viewTableReimputLbud.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableReimputLbud.setLayout(new java.awt.BorderLayout());

        jTextField1.setBackground(new java.awt.Color(255, 204, 204));
        jTextField1.setEditable(false);
        jTextField1.setText(" ANCIENNE Ligne Budgétaire");
        jTextField1.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        jTextField1.setFocusable(false);
        jTextField1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField1ActionPerformed(evt);
            }
        });

        btnDelLbud.setToolTipText("Supprimer la ligne budgétaire");

        btnReimputer.setText("Réimputer");
        btnReimputer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnReimputerActionPerformed(evt);
            }
        });

        btnAjouterReimput.setToolTipText("Ajouter une nouvelle réimputation");

        btnPrint.setToolTipText("Impression des réimputations sélectionnées");

        viewTableReimputations.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableReimputations.setLayout(new java.awt.BorderLayout());

        btnSupprimerReimput.setToolTipText("Supprimer la réimputation sélectionnée");

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Mois ?");

        tfFiltreMois.setFont(new java.awt.Font("Tahoma", 0, 10));
        tfFiltreMois.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Nom ?");

        tfFiltreNom.setFont(new java.awt.Font("Tahoma", 0, 10));
        tfFiltreNom.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Etat ?");

        tfFiltreEtat.setFont(new java.awt.Font("Tahoma", 0, 10));
        tfFiltreEtat.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, btnReimputer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 133, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jTextField1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 761, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jTextField2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 761, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(viewTableReimputLbud, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 732, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(btnAddLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnUpdateLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnDelLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(viewTableReimputations, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 732, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                .add(btnPrint, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(btnSupprimerReimput, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(btnAjouterReimput, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnModifierReimput, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(viewTableBudget, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 761, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 62, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreMois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 70, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 62, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 72, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 62, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreEtat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(tfFiltreMois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel2)
                    .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3)
                    .add(tfFiltreEtat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTableReimputations, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 141, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(btnAjouterReimput, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifierReimput, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimerReimput, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnPrint, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewTableBudget, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 72, Short.MAX_VALUE)
                .add(12, 12, 12)
                .add(jTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createSequentialGroup()
                        .add(btnAddLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnUpdateLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTableReimputLbud, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 89, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnReimputer)
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jTextField1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField1ActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jTextField1ActionPerformed

    private void btnReimputerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnReimputerActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_btnReimputerActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAddLbud;
    private javax.swing.JButton btnAjouterReimput;
    private javax.swing.JButton btnDelLbud;
    private javax.swing.JButton btnModifierReimput;
    private javax.swing.JButton btnPrint;
    private javax.swing.JButton btnReimputer;
    private javax.swing.JButton btnSupprimerReimput;
    private javax.swing.JButton btnUpdateLbud;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField2;
    private javax.swing.JTextField tfFiltreEtat;
    private javax.swing.JTextField tfFiltreMois;
    private javax.swing.JTextField tfFiltreNom;
    private javax.swing.JPanel viewTableBudget;
    private javax.swing.JPanel viewTableReimputLbud;
    private javax.swing.JPanel viewTableReimputations;
    // End of variables declaration//GEN-END:variables

    
    
    
    private void initGui() {
    	                
        btnAjouterReimput.setIcon(KakiIcones.ICON_ADD);
        btnModifierReimput.setIcon(KakiIcones.ICON_UPDATE);
        btnSupprimerReimput.setIcon(KakiIcones.ICON_DELETE);
        btnAddLbud.setIcon(KakiIcones.ICON_ADD);

        btnReimputer.setIcon(KakiIcones.ICON_PARAMS_16);
        btnPrint.setIcon(KakiIcones.ICON_PRINTER_16);

        btnUpdateLbud.setIcon(KakiIcones.ICON_UPDATE);
        btnDelLbud.setIcon(KakiIcones.ICON_DELETE);
        
		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();
		
		ZEOTableModelColumn col = new ZEOTableModelColumn(eodReimputation, EOPafReimputation.AGENT_KEY+"."+EOPafAgent.TO_MOIS_KEY, "Mois", 45);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
                
		col = new ZEOTableModelColumn(eodReimputation, EOPafReimputation.AGENT_KEY+"."+EOPafAgent.PAGE_NOM_KEY, "Nom", 105);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodReimputation, EOPafReimputation.AGENT_KEY+"."+EOPafAgent.PAGE_PRENOM_KEY, "Prénom", 80);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodReimputation, EOPafReimputation.KX10_ELEMENT_KEY+"."+EOKx10Element.KX_ELEMENT_KEY+"."+EOKxElement.IDELT_KEY, "Elément", 40);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodReimputation, EOPafReimputation.KX10_ELEMENT_KEY+"."+EOKx10Element.KX_ELEMENT_KEY+"."+EOKxElement.L_ELEMENT_KEY, "Libellé", 150	);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodReimputation, EOPafReimputation.KX10_ELEMENT_KEY+"."+EOKx10Element.L_COMPLEMENTAIRE_KEY, "Complément", 140	);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodReimputation, EOPafReimputation.KX10_ELEMENT_KEY+"."+EOKx10Element.MT_ELEMENT_KEY, "Mt Elément", 60);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodReimputation, EOPafReimputation.PRE_QUOTITE_KEY, "Quot", 50);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodReimputation, EOPafReimputation.PRE_MONTANT_KEY, "Mt Réimputé", 70);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodReimputation, EOPafReimputation.PRE_ETAT_KEY, "ETAT", 75);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		myTableModelReimputation = new ZEOTableModel(eodReimputation, myCols);
		myTableSorterReimputation = new TableSorter(myTableModelReimputation);

		myEOTableReimputation= new ZEOTable(myTableSorterReimputation);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterReimputation.setTableHeader(myEOTableReimputation.getTableHeader());		

		myEOTableReimputation.setBackground(KakiConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableReimputation.setSelectionBackground(KakiConstantes.COLOR_SELECTED_ROW);
		myEOTableReimputation.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableReimputations.setLayout(new BorderLayout());
		viewTableReimputations.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableReimputations.removeAll();
		viewTableReimputations.add(new JScrollPane(myEOTableReimputation), BorderLayout.CENTER);
		
		myCols = new Vector<ZEOTableModelColumn>();
		
		col = new ZEOTableModelColumn(eodBudget, EOOrgan.ORG_UB_COLKEY, "UB", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodBudget, EOOrgan.ORG_CR_COLKEY, "CR", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodBudget, EOOrgan.ORG_SOUSCR_COLKEY, "SOUS CR", 125);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
//		col = new ZEOTableModelColumn(eodBudget, EOTypeCredit.TCD_CODE_COLKEY, "TCD", 60);
//		col.setAlignment(SwingConstants.CENTER);
//		myCols.add(col);
		col = new ZEOTableModelColumn(eodBudget, "LOLF_CODE", "Action", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodBudget, EOCodeAnalytique.CAN_CODE_COLKEY, "Canal", 110);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodBudget, "referenceConvention", "Conv", 80);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodBudget, "QUOTITE", "Quot", 50);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		myTableModelBudget = new ZEOTableModel(eodBudget, myCols);
		myTableSorterBudget = new TableSorter(myTableModelBudget);

		myEOTableBudget= new ZEOTable(myTableSorterBudget);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterBudget.setTableHeader(myEOTableBudget.getTableHeader());		

		myEOTableBudget.setBackground(KakiConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableBudget.setForeground(new Color(120,120,120));
		myEOTableBudget.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableBudget.setLayout(new BorderLayout());
		viewTableBudget.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableBudget.removeAll();
		viewTableBudget.add(new JScrollPane(myEOTableBudget), BorderLayout.CENTER);

		myEOTableBudget.setEnabled(false);
		
		
		
		
		myCols = new Vector<ZEOTableModelColumn>();
		
		col = new ZEOTableModelColumn(eodReimputLbud, EOPafReimputLbud.ORGAN_KEY + "."+ EOOrgan.ORG_UB_KEY, "UB", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodReimputLbud, EOPafReimputLbud.ORGAN_KEY + "."+ EOOrgan.ORG_CR_KEY, "CR", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodReimputLbud, EOPafReimputLbud.ORGAN_KEY + "."+ EOOrgan.ORG_SOUSCR_KEY, "SOUS CR", 125);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
//		col = new ZEOTableModelColumn(eodReimputLbud, "stringTypeCredit", "TCD", 60);
//		col.setAlignment(SwingConstants.CENTER);
//		myCols.add(col);
		col = new ZEOTableModelColumn(eodReimputLbud, EOPafReimputLbud.LOLF_KEY+"."+EOLolfNomenclatureDepense.LOLF_CODE_KEY, "Action", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodReimputLbud, EOPafReimputLbud.CODE_ANALYTIQUE_KEY +"." + EOCodeAnalytique.CAN_CODE_KEY, "Canal", 110);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodReimputLbud, "referenceConvention", "Conv", 80);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodReimputLbud, EOPafReimputLbud.PRL_QUOTITE_KEY, "Quot", 50);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		myTableModelReimputLbud = new ZEOTableModel(eodReimputLbud, myCols);
		myTableSorterReimputLbud = new TableSorter(myTableModelReimputLbud);

		myEOTableReimputLbud= new ZEOTable(myTableSorterReimputLbud);
		//myEOTableReimputLbud.addListener(myListenerContrat);
		myTableSorterReimputLbud.setTableHeader(myEOTableReimputLbud.getTableHeader());		

		myEOTableReimputLbud.setBackground(KakiConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableReimputLbud.setSelectionBackground(KakiConstantes.COLOR_SELECTED_ROW);
		myEOTableReimputLbud.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableReimputLbud.setLayout(new BorderLayout());
		viewTableReimputLbud.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableReimputLbud.removeAll();
		viewTableReimputLbud.add(new JScrollPane(myEOTableReimputLbud), BorderLayout.CENTER);

		myEOTableReimputLbud.setEnabled(false);

    }


	public ZEOTable getMyEOTableReimputation() {
		return myEOTableReimputation;
	}


	public void setMyEOTableReimputation(ZEOTable myEOTableReimputation) {
		this.myEOTableReimputation = myEOTableReimputation;
	}


	public ZEOTable getMyEOTableBudget() {
		return myEOTableBudget;
	}


	public ZEOTableModel getMyTableModelReimputation() {
		return myTableModelReimputation;
	}


	public void setMyTableModelReimputation(ZEOTableModel myTableModelReimputation) {
		this.myTableModelReimputation = myTableModelReimputation;
	}


	public ZEOTableModel getMyTableModelReimputLbud() {
		return myTableModelReimputLbud;
	}


	public void setMyTableModelReimputLbud(ZEOTableModel myTableModelReimputLbud) {
		this.myTableModelReimputLbud = myTableModelReimputLbud;
	}


	public ZEOTableModel getMyTableModelBudget() {
		return myTableModelBudget;
	}


	public void setMyTableModelBudget(ZEOTableModel myTableModelBudget) {
		this.myTableModelBudget = myTableModelBudget;
	}


	public ZEOTableModel getMyTableModelEngage() {
		return myTableModelEngage;
	}


	public void setMyTableModelEngage(ZEOTableModel myTableModelEngage) {
		this.myTableModelEngage = myTableModelEngage;
	}


	public ZEOTableModel getMyTableModelMandat() {
		return myTableModelMandat;
	}


	public void setMyTableModelMandat(ZEOTableModel myTableModelMandat) {
		this.myTableModelMandat = myTableModelMandat;
	}


	public void setMyEOTableBudget(ZEOTable myEOTableBudget) {
		this.myEOTableBudget = myEOTableBudget;
	}


	public ZEOTable getMyEOTableReimputLbud() {
		return myEOTableReimputLbud;
	}


	public void setMyEOTableReimputLbud(ZEOTable myEOTableReimputLbud) {
		this.myEOTableReimputLbud = myEOTableReimputLbud;
	}


	public ZEOTable getMyEOTableEngage() {
		return myEOTableEngage;
	}


	public void setMyEOTableEngage(ZEOTable myEOTableEngage) {
		this.myEOTableEngage = myEOTableEngage;
	}


	public ZEOTable getMyEOTableMandat() {
		return myEOTableMandat;
	}


	public void setMyEOTableMandat(ZEOTable myEOTableMandat) {
		this.myEOTableMandat = myEOTableMandat;
	}


	public javax.swing.JButton getBtnAddLbud() {
		return btnAddLbud;
	}


	public void setBtnAddLbud(javax.swing.JButton btnAddLbud) {
		this.btnAddLbud = btnAddLbud;
	}


	public javax.swing.JButton getBtnAjouterReimput() {
		return btnAjouterReimput;
	}


	public void setBtnAjouterReimput(javax.swing.JButton btnAjouterReimput) {
		this.btnAjouterReimput = btnAjouterReimput;
	}


	public javax.swing.JButton getBtnDelLbud() {
		return btnDelLbud;
	}


	public void setBtnDelLbud(javax.swing.JButton btnDelLbud) {
		this.btnDelLbud = btnDelLbud;
	}


	public javax.swing.JButton getBtnModifierReimput() {
		return btnModifierReimput;
	}


	public void setBtnModifierReimput(javax.swing.JButton btnModifierReimput) {
		this.btnModifierReimput = btnModifierReimput;
	}


	public javax.swing.JButton getBtnPrint() {
		return btnPrint;
	}


	public void setBtnPrint(javax.swing.JButton btnPrint) {
		this.btnPrint = btnPrint;
	}


	public javax.swing.JButton getBtnReimputer() {
		return btnReimputer;
	}


	public void setBtnReimputer(javax.swing.JButton btnReimputer) {
		this.btnReimputer = btnReimputer;
	}


	public javax.swing.JButton getBtnSupprimerReimput() {
		return btnSupprimerReimput;
	}


	public void setBtnSupprimerReimput(javax.swing.JButton btnSupprimerReimput) {
		this.btnSupprimerReimput = btnSupprimerReimput;
	}


	public javax.swing.JButton getBtnUpdateLbud() {
		return btnUpdateLbud;
	}


	public void setBtnUpdateLbud(javax.swing.JButton btnUpdateLbud) {
		this.btnUpdateLbud = btnUpdateLbud;
	}


	public javax.swing.JTextField getTfFiltreEtat() {
		return tfFiltreEtat;
	}


	public void setTfFiltreEtat(javax.swing.JTextField tfFiltreEtat) {
		this.tfFiltreEtat = tfFiltreEtat;
	}


	public javax.swing.JTextField getTfFiltreMois() {
		return tfFiltreMois;
	}


	public void setTfFiltreMois(javax.swing.JTextField tfFiltreMois) {
		this.tfFiltreMois = tfFiltreMois;
	}


	public javax.swing.JTextField getTfFiltreNom() {
		return tfFiltreNom;
	}


	public void setTfFiltreNom(javax.swing.JTextField tfFiltreNom) {
		this.tfFiltreNom = tfFiltreNom;
	}



    
}
